=== modified file 'Makefile'
--- Makefile	2011-02-18 16:23:10 +0000
+++ Makefile	2011-02-18 16:59:16 +0000
@@ -402,7 +402,6 @@
 	# /var/tmp/launchpad_mailqueue is created read-only on ec2test
 	# instances.
 	if [ -w /var/tmp/launchpad_mailqueue ]; then $(RM) -rf /var/tmp/launchpad_mailqueue; fi
-	$(RM) -f lp.sfood lp-clustered.sfood lp-clustered.dot lp-clustered.svg
 
 
 realclean: clean
@@ -457,33 +456,6 @@
 	# idutils ID file
 	bin/tags -i
 
-lp.sfood:
-	# Generate import dependency graph
-	sfood -i -u -I lib/sqlobject -I lib/schoolbell -I lib/devscripts \
-	-I lib/contrib -I lib/canonical/not-used lib/canonical \
-	lib/lp 2>/dev/null | grep -v contrib/ \
-	| grep -v sqlobject | grep -v BeautifulSoup | grep -v psycopg \
-	| grep -v schoolbell > lp.sfood.tmp
-	mv lp.sfood.tmp lp.sfood
-
-
-lp-clustered.sfood: lp.sfood lp-sfood-packages
-	# Cluster the import dependency graph
-	sfood-cluster -f lp-sfood-packages < lp.sfood > lp-clustered.sfood.tmp
-	mv lp-clustered.sfood.tmp lp-clustered.sfood
-
-
-lp-clustered.dot: lp-clustered.sfood
-	# Build the visual graph
-	sfood-graph -p < lp-clustered.sfood > lp-clustered.dot.tmp
-	mv lp-clustered.dot.tmp lp-clustered.dot
-
-
-lp-clustered.svg: lp-clustered.dot
-	# Render to svg
-	dot -Tsvg < lp-clustered.dot > lp-clustered.svg.tmp
-	mv lp-clustered.svg.tmp lp-clustered.svg
-
 PYDOCTOR = pydoctor
 PYDOCTOR_OPTIONS =
 

=== added directory 'utilities/snakefood'
=== added file 'utilities/snakefood/Makefile'
--- utilities/snakefood/Makefile	1970-01-01 00:00:00 +0000
+++ utilities/snakefood/Makefile	2011-02-18 16:59:16 +0000
@@ -0,0 +1,37 @@
+LIB_DIR=../../lib
+
+default: lp-clustered.svg
+
+# Generate import dependency graph
+lp.sfood:
+	sfood -i -u -I $(LIB_DIR)/sqlobject -I $(LIB_DIR)/schoolbell \
+	-I $(LIB_DIR)/devscripts -I $(LIB_DIR)/contrib \
+	-I $(LIB_DIR)/canonical/not-used $(LIB_DIR)/canonical \
+	$(LIB_DIR)/lp 2>/dev/null | grep -v contrib/ \
+	| grep -v sqlobject | grep -v BeautifulSoup | grep -v psycopg \
+	| grep -v schoolbell > lp.sfood.tmp
+	mv lp.sfood.tmp lp.sfood
+
+
+# Cluster the import dependency graph
+lp-clustered.sfood: lp.sfood lp-sfood-packages
+	sfood-cluster -f lp-sfood-packages < lp.sfood > lp-clustered.sfood.tmp
+	mv lp-clustered.sfood.tmp lp-clustered.sfood
+
+
+# Build the visual graph
+lp-clustered.dot: lp-clustered.sfood
+	sfood-graph -p < lp-clustered.sfood > lp-clustered.dot.tmp
+	mv lp-clustered.dot.tmp lp-clustered.dot
+
+
+# Render to svg
+lp-clustered.svg: lp-clustered.dot
+	dot -Tsvg < lp-clustered.dot > lp-clustered.svg.tmp
+	mv lp-clustered.svg.tmp lp-clustered.svg
+
+clean:
+	$(RM) -f lp.sfood lp-clustered.sfood lp-clustered.dot lp-clustered.svg
+
+
+.PHONY: clean

=== added file 'utilities/snakefood/README'
--- utilities/snakefood/README	1970-01-01 00:00:00 +0000
+++ utilities/snakefood/README	2011-02-18 16:59:16 +0000
@@ -0,0 +1,4 @@
+Uses snakefood to generate dependency graphs of Launchpad, i.e. which packages
+use which other packages.
+
+To make the picture, run 'make', which will generate a nice SVG.

=== renamed file 'lp-sfood-packages' => 'utilities/snakefood/lp-sfood-packages'
--- lp-sfood-packages	2011-02-17 12:54:12 +0000
+++ utilities/snakefood/lp-sfood-packages	2011-02-18 16:59:16 +0000
@@ -1,3 +1,4 @@
+lp/vostok
 lp/translations
 lp/testopenid
 lp/testing
@@ -19,6 +20,7 @@
 lp/answers
 canonical/widgets
 canonical/tests
+canonical/testing/layers
 canonical/testing
 canonical/poppy
 canonical/not-used

